<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Frameset//EN""http://www.w3.org/TR/REC-html40/frameset.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc on Wed Feb 23 15:53:23 PST 2005 -->
<TITLE>
: Class  ParameterStyle
</TITLE>
<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../../stylesheet.css" TITLE="Style">
</HEAD>
<BODY BGCOLOR="white">

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_top"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/ParameterStyle.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParentDeleteDRIRuleType.html"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ParameterStyle.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY: &nbsp;INNER&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL: &nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.eclipse.wst.rdb.internal.models.dbdefinition</FONT>
<BR>
Class  ParameterStyle</H2>
<PRE>
java.lang.Object
  |
  +--org.eclipse.emf.common.util.AbstractEnumerator
        |
        +--<B>org.eclipse.wst.rdb.internal.models.dbdefinition.ParameterStyle</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD>org.eclipse.emf.common.util.Enumerator</DD>
</DL>
<HR>
<DL>
<DT>public final class <B>ParameterStyle</B><DT>extends org.eclipse.emf.common.util.AbstractEnumerator</DL>

<P>
<!-- begin-user-doc -->
 A representation of the literals of the enumeration '<em><b>Parameter Style</b></em>',
 and utility methods for working with them.
 <!-- end-user-doc -->
<P>
<DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#getParameterStyle()"><CODE>DatabaseDefinitionPackage.getParameterStyle()</CODE></A></DL>
<HR>

<P>
<!-- ======== INNER CLASS SUMMARY ======== -->


<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
<B>Field Summary</B></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParameterStyle.html#DB2DARI">DB2DARI</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The '<em><b>DB2DARI</b></em>' literal value.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParameterStyle.html">ParameterStyle</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParameterStyle.html#DB2DARI_LITERAL">DB2DARI_LITERAL</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The '<em><b>DB2DARI</b></em>' literal object.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParameterStyle.html#DB2GENRL">DB2GENRL</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The '<em><b>DB2GENRL</b></em>' literal value.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParameterStyle.html">ParameterStyle</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParameterStyle.html#DB2GENRL_LITERAL">DB2GENRL_LITERAL</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The '<em><b>DB2GENRL</b></em>' literal object.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParameterStyle.html#DB2SQL">DB2SQL</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The '<em><b>DB2SQL</b></em>' literal value.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParameterStyle.html">ParameterStyle</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParameterStyle.html#DB2SQL_LITERAL">DB2SQL_LITERAL</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The '<em><b>DB2SQL</b></em>' literal object.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParameterStyle.html#GENERAL">GENERAL</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The '<em><b>GENERAL</b></em>' literal value.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParameterStyle.html">ParameterStyle</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParameterStyle.html#GENERAL_LITERAL">GENERAL_LITERAL</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The '<em><b>GENERAL</b></em>' literal object.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParameterStyle.html#GENERAL_WITH_NULLS">GENERAL_WITH_NULLS</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The '<em><b>GENERAL WITH NULLS</b></em>' literal value.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParameterStyle.html">ParameterStyle</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParameterStyle.html#GENERAL_WITH_NULLS_LITERAL">GENERAL_WITH_NULLS_LITERAL</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The '<em><b>GENERAL WITH NULLS</b></em>' literal object.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParameterStyle.html#JAVA">JAVA</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The '<em><b>JAVA</b></em>' literal value.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParameterStyle.html">ParameterStyle</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParameterStyle.html#JAVA_LITERAL">JAVA_LITERAL</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The '<em><b>JAVA</b></em>' literal object.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParameterStyle.html#SQL">SQL</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The '<em><b>SQL</b></em>' literal value.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParameterStyle.html">ParameterStyle</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParameterStyle.html#SQL_LITERAL">SQL_LITERAL</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The '<em><b>SQL</b></em>' literal object.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;java.util.List</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParameterStyle.html#VALUES">VALUES</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;A public read-only list of all the '<em><b>Parameter Style</b></em>' enumerators.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->


<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
<B>Method Summary</B></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParameterStyle.html">ParameterStyle</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParameterStyle.html#get(int)">get</A></B>(int&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the '<em><b>Parameter Style</b></em>' literal with the specified value.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParameterStyle.html">ParameterStyle</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParameterStyle.html#get(java.lang.String)">get</A></B>(java.lang.String&nbsp;name)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the '<em><b>Parameter Style</b></em>' literal with the specified name.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.common.util.AbstractEnumerator"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>getName, getValue, toString</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from class java.lang.Object</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>equals, getClass, hashCode, notify, notifyAll, wait, wait, wait</CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=1><FONT SIZE="+2">
<B>Field Detail</B></FONT></TD>
</TR>
</TABLE>

<A NAME="DB2SQL"><!-- --></A><H3>
DB2SQL</H3>
<PRE>
public static final int <B>DB2SQL</B></PRE>
<DL>
<DD>The '<em><b>DB2SQL</b></em>' literal value.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParameterStyle.html#DB2SQL_LITERAL"><CODE>DB2SQL_LITERAL</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="GENERAL"><!-- --></A><H3>
GENERAL</H3>
<PRE>
public static final int <B>GENERAL</B></PRE>
<DL>
<DD>The '<em><b>GENERAL</b></em>' literal value.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParameterStyle.html#GENERAL_LITERAL"><CODE>GENERAL_LITERAL</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="GENERAL_WITH_NULLS"><!-- --></A><H3>
GENERAL_WITH_NULLS</H3>
<PRE>
public static final int <B>GENERAL_WITH_NULLS</B></PRE>
<DL>
<DD>The '<em><b>GENERAL WITH NULLS</b></em>' literal value.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParameterStyle.html#GENERAL_WITH_NULLS_LITERAL"><CODE>GENERAL_WITH_NULLS_LITERAL</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="DB2GENRL"><!-- --></A><H3>
DB2GENRL</H3>
<PRE>
public static final int <B>DB2GENRL</B></PRE>
<DL>
<DD>The '<em><b>DB2GENRL</b></em>' literal value.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParameterStyle.html#DB2GENRL_LITERAL"><CODE>DB2GENRL_LITERAL</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="DB2DARI"><!-- --></A><H3>
DB2DARI</H3>
<PRE>
public static final int <B>DB2DARI</B></PRE>
<DL>
<DD>The '<em><b>DB2DARI</b></em>' literal value.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParameterStyle.html#DB2DARI_LITERAL"><CODE>DB2DARI_LITERAL</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="JAVA"><!-- --></A><H3>
JAVA</H3>
<PRE>
public static final int <B>JAVA</B></PRE>
<DL>
<DD>The '<em><b>JAVA</b></em>' literal value.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParameterStyle.html#JAVA_LITERAL"><CODE>JAVA_LITERAL</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="SQL"><!-- --></A><H3>
SQL</H3>
<PRE>
public static final int <B>SQL</B></PRE>
<DL>
<DD>The '<em><b>SQL</b></em>' literal value.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParameterStyle.html#SQL_LITERAL"><CODE>SQL_LITERAL</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="DB2SQL_LITERAL"><!-- --></A><H3>
DB2SQL_LITERAL</H3>
<PRE>
public static final <A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParameterStyle.html">ParameterStyle</A> <B>DB2SQL_LITERAL</B></PRE>
<DL>
<DD>The '<em><b>DB2SQL</b></em>' literal object.
 <!-- begin-user-doc -->
 <p>
 If the meaning of '<em><b>DB2SQL</b></em>' literal object isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --><DD><DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParameterStyle.html#DB2SQL"><CODE>DB2SQL</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="GENERAL_LITERAL"><!-- --></A><H3>
GENERAL_LITERAL</H3>
<PRE>
public static final <A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParameterStyle.html">ParameterStyle</A> <B>GENERAL_LITERAL</B></PRE>
<DL>
<DD>The '<em><b>GENERAL</b></em>' literal object.
 <!-- begin-user-doc -->
 <p>
 If the meaning of '<em><b>GENERAL</b></em>' literal object isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --><DD><DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParameterStyle.html#GENERAL"><CODE>GENERAL</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="GENERAL_WITH_NULLS_LITERAL"><!-- --></A><H3>
GENERAL_WITH_NULLS_LITERAL</H3>
<PRE>
public static final <A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParameterStyle.html">ParameterStyle</A> <B>GENERAL_WITH_NULLS_LITERAL</B></PRE>
<DL>
<DD>The '<em><b>GENERAL WITH NULLS</b></em>' literal object.
 <!-- begin-user-doc -->
 <p>
 If the meaning of '<em><b>GENERAL WITH NULLS</b></em>' literal object isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --><DD><DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParameterStyle.html#GENERAL_WITH_NULLS"><CODE>GENERAL_WITH_NULLS</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="DB2GENRL_LITERAL"><!-- --></A><H3>
DB2GENRL_LITERAL</H3>
<PRE>
public static final <A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParameterStyle.html">ParameterStyle</A> <B>DB2GENRL_LITERAL</B></PRE>
<DL>
<DD>The '<em><b>DB2GENRL</b></em>' literal object.
 <!-- begin-user-doc -->
 <p>
 If the meaning of '<em><b>DB2GENRL</b></em>' literal object isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --><DD><DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParameterStyle.html#DB2GENRL"><CODE>DB2GENRL</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="DB2DARI_LITERAL"><!-- --></A><H3>
DB2DARI_LITERAL</H3>
<PRE>
public static final <A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParameterStyle.html">ParameterStyle</A> <B>DB2DARI_LITERAL</B></PRE>
<DL>
<DD>The '<em><b>DB2DARI</b></em>' literal object.
 <!-- begin-user-doc -->
 <p>
 If the meaning of '<em><b>DB2DARI</b></em>' literal object isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --><DD><DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParameterStyle.html#DB2DARI"><CODE>DB2DARI</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="JAVA_LITERAL"><!-- --></A><H3>
JAVA_LITERAL</H3>
<PRE>
public static final <A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParameterStyle.html">ParameterStyle</A> <B>JAVA_LITERAL</B></PRE>
<DL>
<DD>The '<em><b>JAVA</b></em>' literal object.
 <!-- begin-user-doc -->
 <p>
 If the meaning of '<em><b>JAVA</b></em>' literal object isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --><DD><DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParameterStyle.html#JAVA"><CODE>JAVA</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="SQL_LITERAL"><!-- --></A><H3>
SQL_LITERAL</H3>
<PRE>
public static final <A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParameterStyle.html">ParameterStyle</A> <B>SQL_LITERAL</B></PRE>
<DL>
<DD>The '<em><b>SQL</b></em>' literal object.
 <!-- begin-user-doc -->
 <p>
 If the meaning of '<em><b>SQL</b></em>' literal object isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --><DD><DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParameterStyle.html#SQL"><CODE>SQL</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="VALUES"><!-- --></A><H3>
VALUES</H3>
<PRE>
public static final java.util.List <B>VALUES</B></PRE>
<DL>
<DD>A public read-only list of all the '<em><b>Parameter Style</b></em>' enumerators.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></DL>

<!-- ========= CONSTRUCTOR DETAIL ======== -->


<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=1><FONT SIZE="+2">
<B>Method Detail</B></FONT></TD>
</TR>
</TABLE>

<A NAME="get(java.lang.String)"><!-- --></A><H3>
get</H3>
<PRE>
public static <A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParameterStyle.html">ParameterStyle</A> <B>get</B>(java.lang.String&nbsp;name)</PRE>
<DL>
<DD>Returns the '<em><b>Parameter Style</b></em>' literal with the specified name.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></DL>
<HR>

<A NAME="get(int)"><!-- --></A><H3>
get</H3>
<PRE>
public static <A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParameterStyle.html">ParameterStyle</A> <B>get</B>(int&nbsp;value)</PRE>
<DL>
<DD>Returns the '<em><b>Parameter Style</b></em>' literal with the specified value.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_bottom"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/ParameterStyle.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/LanguageType.html"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParentDeleteDRIRuleType.html"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ParameterStyle.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY: &nbsp;INNER&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL: &nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<HR>

</BODY>
</HTML>
